Bug 1998017 - Keep cinbderlib dependencies optional for 4.4.8
Summary: Keep cinbderlib dependencies optional for 4.4.8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-host
Version: 4.4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.4.8-1
: ---
Assignee: Sandro Bonazzola
QA Contact: sshmulev
URL:
Whiteboard:
Depends On: 1997663
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-26 09:38 UTC by Michal Skrivanek
Modified: 2021-09-08 14:12 UTC (History)
5 users (show)

Fixed In Version: ovirt-host-4.4.8-2.el8ev
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1997663
Environment:
Last Closed: 2021-09-08 14:11:50 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHV-43144 0 None None None 2021-08-26 09:39:28 UTC
Red Hat Product Errata RHSA-2021:3459 0 None None None 2021-09-08 14:12:04 UTC

Description Michal Skrivanek 2021-08-26 09:38:56 UTC
cloning for host side

+++ This bug was initially created as a clone of Bug #1997663 +++

Due to BZ#1955375, upgrade to 4.4.8 (or clean install) is failing if OSP and Ceph repos are not configured.
This is not a correct approach. We cannot introduce such big changes in z-stream releases. 
Also - OSP repos for default RHV install sound about wrong.

I believe this either should be optional and allow later install, if we really want to consume the packages from the external repos or import the package to our RHV repos and make it trivial for our existing customers. 

Additional info:
Current steps for enabling cinderlib before the fixes in the BZ1955375:
https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.4/html/installing_red_hat_virtualization_as_a_standalone_manager_with_local_databases/set_up_cinderlib

Don't we already do the same for another package from OSP repos?

--- Additional comment from Marina Kalinin on 2021-08-25 18:03:58 CEST ---

Failed coresystem QE:
https://bugzilla.redhat.com/show_bug.cgi?id=1974729#c1

Comment 5 sshmulev 2021-08-30 10:58:31 UTC
Verified.

The following dependencies should not be displayed on host:

dependency: ceph-common
provider: ceph-common-2:14.2.11-184.el8cp.x86_64
provider: rhvm-dependencies-4.4.1-1.el8ev.noarch
dependency: python3-cinderlib
provider: python3-cinderlib-1:1.0.1-1.20210310093033.199ebd4.el8ost.noarch


# yum deplist ./ovirt-host-dependencies-4.4.8-2.el8ev.x86_64.rpm | grep -E "ceph-common|python3-os-brick|vdsm"

result:
Last metadata expiration check: 0:19:03 ago on Mon 30 Aug 2021 06:12:59 AM EDT.
ovirt-host-dependencies-4.4.8-2.el8ev.x86_64.rp  28 kB/s |  15 kB     00:00    
  dependency: vdsm >= 4.40.80
  dependency: vdsm-client >= 4.40.80

Result as expected.

Comment 6 sshmulev 2021-08-30 11:15:42 UTC
(In reply to sshmulev from comment #5)
> Verified.
> 
> The following dependencies should not be displayed on host:
> 
> dependency: ceph-common
> provider: ceph-common-2:14.2.11-184.el8cp.x86_64
> provider: rhvm-dependencies-4.4.1-1.el8ev.noarch
> fixing to :
  dependency: python3-os-brick
  provider: python3-os-brick-2.10.5-1.20201114041631.el8ost.noarch
> 
> # yum deplist ./ovirt-host-dependencies-4.4.8-2.el8ev.x86_64.rpm | grep -E
> "ceph-common|python3-os-brick|vdsm"
> 
> result:
> Last metadata expiration check: 0:19:03 ago on Mon 30 Aug 2021 06:12:59 AM
> EDT.
> ovirt-host-dependencies-4.4.8-2.el8ev.x86_64.rp  28 kB/s |  15 kB     00:00 
> 
>   dependency: vdsm >= 4.40.80
>   dependency: vdsm-client >= 4.40.80
> 
> Result as expected.

Comment 13 errata-xmlrpc 2021-09-08 14:11:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat Virtualization Host security and bug fix update [ovirt-4.4.8]), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3459


Note You need to log in before you can comment on or make changes to this bug.